 import "Turbine.UI"; 
 import "Turbine.UI.Extensions"; 
 import "Turbine.UI.Lotro"; 
 import "Turbine.Gameplay"; 
 
 import "Homeopatix.Farmer.Globals"
 import "Homeopatix.Farmer.MinimizedIcon"
 import "Homeopatix.Farmer.VindarPatch"
 import "Homeopatix.Farmer.Commands"
 import "Homeopatix.Farmer.PreventionWindow"
 import "Homeopatix.Farmer.MainWindow"
 import "Homeopatix.Farmer.Functions"
 import "Homeopatix.Farmer.LoadAndSave"

Turbine.Shell.WriteLine("<rgb=#CC56DA>Farming Helper</rgb> <rgb=#DDDDDD>".. plugin:GetVersion() .." par Homeo</rgb>")

CreateLocalizationInfo();
LoadSettings();

------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
CreateMainWindow();

------------------------------------------------------------------------------------------
-- set up the functions
------------------------------------------------------------------------------------------
SetTheMouseEnter();
SetTheShortCut();
SetTheDragAndDrop();
UpdateWindow();
SetMouseCLick();
DeleteOnMouseWheel();

------------------------------------------------------------------------------------------
--show the prevention window if needed
------------------------------------------------------------------------------------------
if(settings.wantPrevention == "true") then
	ShowPrevention();
end

------------------------------------------------------------------------------------------
-- handle minimizeIcon
------------------------------------------------------------------------------------------
MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, FarmerWindow:SetVisible(false));
settings.isWindowVisible = false;
SaveSettings();
MainMinimizedIcon:SetPosition(settings.minimizeX, settings.minimizeY);
MainMinimizedIcon:SetZOrder(0);
MainMinimizedIcon.PositionChanged = function()
	settings.minimizeX = MainMinimizedIcon:GetLeft();
	settings.minimizeY = MainMinimizedIcon:GetTop();
	SaveSettings();
end

------------------------------------------------------------------------------------------
-- event handling
------------------------------------------------------------------------------------------
FarmerWindow.KeyDown=function(sender, args)
	if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
		if(settings.escEnable == true) then
			FarmerWindow:SetVisible(false);
			settings.isWindowVisible = false;
			SaveSettings();
		end
	end
	
	-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
	if ( args.Action == 268435635 ) then
		hudVisible=not hudVisible;
		if hudVisible then
			FarmerWindow:SetVisible(false);
			MainMinimizedIcon:SetVisible(false);
		else
			FarmerWindow:SetVisible(settings.isWindowVisible);
			MainMinimizedIcon:SetVisible(true);
		end
	end
end
------------------------------------------------------------------------------------------
-- if the position changes, save the new window location
------------------------------------------------------------------------------------------
	FarmerWindow.PositionChanged = function( sender, args )
    	local x,y = FarmerWindow:GetPosition();
    	settings.positionX = x;
    	settings.positionY = y;
		SaveSettings();
	end



